## ros-foxy-tracetools-trace 1.0.5

=== debian/changelog ===
ros-foxy-tracetools-trace (1.0.5-2focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sat, 26 Dec 2020 15:01:16 -0000

ros-foxy-tracetools-trace (1.0.1-2focal) focal; urgency=high

  * Fail gracefully when trying to trace if LTTng is not installed
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 27 May 2020 04:00:00 -0000

ros-foxy-tracetools-trace (1.0.0-2focal) focal; urgency=high

  * Start a session daemon if there isn't one before setting up tracing
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 24 Apr 2020 04:00:00 -0000

ros-foxy-tracetools-trace (0.3.0-2focal) focal; urgency=high

  * Add more context types and refactor mapping between name and constant
  * Check version of LTTng Python module and raise error if below 2.10.7
  * Add logs for trace action init and fini
  * Expose context enabling through CLI and Trace action
  * Add kmem_mm_page_alloc|free to default kernel events
  * Remove sched_waking/sched_wakeup from the default kernel events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-tracetools-trace (0.2.11-2focal) focal; urgency=high

  * Register Python packages in the ament index
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Dec 2019 05:00:00 -0000

ros-foxy-tracetools-trace (0.2.10-2focal) focal; urgency=high

  * Make printing list of enabled events more readable
  * Add new rclcpp_subscription_init tracepoint to default ROS events list
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Sun, 17 Nov 2019 05:00:00 -0000

ros-foxy-tracetools-trace (0.2.8-2focal) focal; urgency=high

  * Re-order args for trace command
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 14 Oct 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.2.7-2focal) focal; urgency=high

  * Fix missing ament_xmllint dependency
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Mon, 09 Sep 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.2.6-2focal) focal; urgency=high

  * Extract lttng interface functions to other files
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Fri, 16 Aug 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.2.5-2focal) focal; urgency=high

  * Make lttng interface silently do nothing if lttng cannot be imported
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 15 Aug 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.2.2-2focal) focal; urgency=high

  * Revert "Replace special character to fix encoding issue"
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.2.1-2focal) focal; urgency=high

  * Replace special character to fix encoding issue
  * Contributors: Christophe Bedard

 -- Christophe Bedard <bedard.christophe@gmail.com>  Wed, 31 Jul 2019 04:00:00 -0000

ros-foxy-tracetools-trace (0.1.0-2focal) focal; urgency=high

  * Use proper arg parser and event names completers
  * Add tracing utilities
  * Contributors: Christophe Bedard, Ingo Lütkebohle

 -- Christophe Bedard <bedard.christophe@gmail.com>  Thu, 11 Jul 2019 04:00:00 -0000
